# EliteReworks (Beta Release)
This mod seeks to address the longstanding issues with Elite bulletsponge that have been around since the day RoR2 released into Early Access. Elite damage and HP multipliers are reduced, but their spawn cost is decreased and their abilities are more impactful. You might also start to see elite bosses earlier into runs now, due to their reduced cost.

Updates will probably slow since I don't have a lot of time to develop/test things, so feedback will be super helpful.
Email me at moffeintv@gmail.com, open an issue on the GitHub, or send me a DM if you have any thoughts.

All players need the mod.

# Current Balance Concerns
- Are elites feeling too weak?
- Is the Overloading damage too high?
- Is Overloading too laggy? Might consider capping how often it can be triggered if it is.
- Do the Glacial changes actually help them?
- Are Malachites too oppressive?
- How should Celestines be changed? I don't like their current effect and I really don't like their giant ugly bubble, but I have no clue what to do with them.

# Changes
- **General:**
	- **T1 Elites: (Now uses Honor stats)**
		- Cost reduced 6x -> 4.5x
		- HP reduced 4x -> 3x
		- Damage reduced 2x -> 1.5x
	- **T2 Elites:**
		- Cost reduced 36x -> 12x
		- HP reduced 18x -> 8x
		- Damage reduced 6x -> 3x
		
	``Vanilla elites are essentially 1shot HP sponges, with their abilities generally being an afterthought that doesn't really come into play when fighting them. This mod seeks to reduce elite tankiness and instead make their abilities more pronounced. Also to compensate for the lower HP, elites have had their spawn cost reduced, so they'll be able to spawn more frequently.``
	
	- Stun/Shock/Freeze now disables most passive elite effects.
	
		``This should allow melee survivors to fare better against elites with passive damage abilities without having to rely on i-frames.``

- Glacial:
	- Attacks have an AOE that slows for 3 seconds (think Behemoth, but slowing instead of damaging).
	
		``Vanilla Glacials pretty much don't do anything. This change should hopefully make them better at slowing players.``
		
- Overloading:
	- Shields removed.
	- Attacks scatter 5 lightning bombs nearby. Lightning bombs arc into the air and explode on contact with the ground/walls.
		- Deals 50% of the initial hit's damage.
	- Passively scatters 5 lightning bombs nearby every 6 seconds.
		- Damage is based on level for consistency.
	- Stun/Shock/Freeze disables the passive lightning bombs.
	
		``The main feature of vanilla Overloading is bosses healing half of their HP pool if you focus on something else for a bit. These changes are intended to shift Overloading enemies into being less about tanking, and more about chaotically spamming projectiles everywhere, hopefully leading to a more engaging experience when fighting them.``
		
- Blazing:
	- Fire trails damage now scales based on level, instead of damage.
	- Stun/Shock/Freeze disables the passive fire trail.
	
	``Fire trails are very unpredictable due to being scaled off of enemy damage. Some enemies won't do much damage, while others will melt you in a few ticks. This change makes Blazing trails consistent across all enemies, which should make them more consistent to fight as melee characters.``

- Malachite:
	- Malachites now have a passive anti-heal AOE.
	- Malachite spikes now deal 50% of your current HP.
	- Malachite spikes now apply Anti-Heal + Weaken for 8 seconds.
	- Stun/Shock/Freeze disables their passive spikes + anti-heal AOE.
	
	``Vanilla Malachites suck to fight. Their anti-heal is an interesting way of neutering the massive healing players can get from items, but it never really gets much use in practice since it requires you to get hit by one of their near instant-kill attacks to trigger it. These changes seek to make Malachites less about 1shotting, and more about denying heals. Malachites now have a passive anti-heal AOE around them to make sure that their anti-heal actually gets use, and their spikes act more like traps that slow players and keep them inside the AOE, rather than instant kill anti-melee landmines.``

- Celestine:
	- Currently unchanged. I have no clue what to do with them. I hate how ugly their bubble looks.

## Installation

Place EliteReworks.dll in /Risk of Rain 2/BepInEx/plugins/

## ChangeLog
- 0.0.1 ``Initial Release``